import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { AqiSpaceDailyPollutantStatsEntity } from '../entities';

@Injectable()
export class AqiSpaceDailyPollutantStatsRepository extends Repository<AqiSpaceDailyPollutantStatsEntity> {
  constructor(private dataSource: DataSource) {
    super(AqiSpaceDailyPollutantStatsEntity, dataSource.createEntityManager());
  }
}
