import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { AutomationEntity } from '../entities';

@Injectable()
export class AutomationRepository extends Repository<AutomationEntity> {
  constructor(private dataSource: DataSource) {
    super(AutomationEntity, dataSource.createEntityManager());
  }
}
