import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import {
  DeviceEntity,
  DeviceNotificationEntity,
  DeviceUserPermissionEntity,
} from './entities';

@Module({
  providers: [],
  exports: [],
  controllers: [],
  imports: [
    TypeOrmModule.forFeature([
      DeviceEntity,
      DeviceNotificationEntity,
      DeviceUserPermissionEntity,
    ]),
  ],
})
export class DeviceRepositoryModule {}
