import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { SpaceDailyOccupancyDurationEntity } from '../entities/occupancy.entity';

@Injectable()
export class SpaceDailyOccupancyDurationEntityRepository extends Repository<SpaceDailyOccupancyDurationEntity> {
  constructor(private dataSource: DataSource) {
    super(SpaceDailyOccupancyDurationEntity, dataSource.createEntityManager());
  }
}
