import { IsNotEmpty, IsString } from 'class-validator';

export class SpaceDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public parentUuid: string;

  @IsString()
  @IsNotEmpty()
  public spaceName: string;

  @IsString()
  @IsNotEmpty()
  public spaceTypeUuid: string;

  @IsString()
  @IsNotEmpty()
  public invitationCode: string;
}
