import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { SubspaceEntity } from '../entities/subspace/subspace.entity';
import { SubspaceProductAllocationEntity } from '../entities/subspace/subspace-product-allocation.entity';

@Injectable()
export class SubspaceRepository extends Repository<SubspaceEntity> {
  constructor(private dataSource: DataSource) {
    super(SubspaceEntity, dataSource.createEntityManager());
  }
}
@Injectable()
export class SubspaceProductAllocationRepository extends Repository<SubspaceProductAllocationEntity> {
  constructor(private dataSource: DataSource) {
    super(SubspaceProductAllocationEntity, dataSource.createEntityManager());
  }
}
