import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { OccupancyController } from './controllers';
import { SqlLoaderService } from '@app/common/helper/services/sql-loader.service';
import { OccupancyService } from './services';
@Module({
  imports: [ConfigModule],
  controllers: [OccupancyController],
  providers: [OccupancyService, SqlLoaderService],
})
export class OccupancyModule {}
