import { ApiProperty } from '@nestjs/swagger';
import { IsUUID } from 'class-validator';

export class DeviceSceneParamDto {
  @ApiProperty({
    description: 'UUID of the device',
    example: 'b3a37332-9c03-4ce2-ac94-bea75382b365',
  })
  @IsUUID()
  deviceUuid: string;
}
