import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class AddDoorLockOfflineTempMultipleTimeDto {
  @ApiProperty({
    description: 'effectiveTime',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public effectiveTime: string;

  @ApiProperty({
    description: 'invalidTime',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public invalidTime: string;
}
