import { Action } from '../dtos';

export interface AddTapToRunSceneInterface {
  success: boolean;
  msg?: string;
  result: {
    id: string;
  };
}
export interface GetTapToRunSceneByUnitInterface {
  success: boolean;
  msg?: string;
  result: {
    list: Array<{
      id: string;
      name: string;
      status: string;
    }>;
  };
}
export interface DeleteTapToRunSceneInterface {
  success: boolean;
  msg?: string;
  result: boolean;
}
export interface SceneDetailsResult {
  id: string;
  name: string;
  type: string;
  actions?: any;
  status?: string;
}

export interface SceneDetails {
  uuid: string;
  sceneTuyaId: string;
  name: string;
  status: string;
  icon?: string;
  iconUuid?: string;
  showInHome: boolean;
  type: string;
  actions: Action[];
  spaceId: string;
  spaceName: string;
  communityName: string;
  communityId: string;
}
