import { ICommand } from '@nestjs/cqrs';
import { SpaceModelEntity } from '@app/common/modules/space-model';
import { ISubspaceModelUpdates } from '../interfaces';
import { SpaceEntity } from '@app/common/modules/space/entities/space.entity';

export class PropogateUpdateSpaceModelCommand implements ICommand {
  constructor(
    public readonly param: {
      spaceModel: SpaceModelEntity;
      subspaceUpdates: ISubspaceModelUpdates;
      spaces: SpaceEntity[];
    },
  ) {}
}
